<sqtm-core-creation-dialog
  (add)="addEntity()"
  (addAnother)="addAnother()"
  [asyncTaskRunning]="loading$ | async"
  [attr.data-test-dialog-id]="'new-entity'"
>
  <div class="m-10" [formGroup]="formGroup">
    <div class="sqtm-core-dialog-form p-4">
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.name.label' | translate
      }}</label>
      <sqtm-core-text-field
        [initialFocus]="true"
        [formGroup]="formGroup"
        [fieldName]="Controls.name"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-text-field>

      <label class="label label__align_right"
        >{{
          'sqtm-core.administration-workspace.profiles.dialog.field.reference-profil'
            | translate
        }}
        <i
          nz-icon
          nzType="sqtm-core-generic:help"
          nzTheme="outline"
          nz-tooltip
          [nzTooltipTitle]="getReferenceProfileExplainMessage"
          class="current-workspace-button tooltip-icon table-icon-size"
        >
        </i>
      </label>
      <sqtm-core-select-field
        [fieldName]="Controls.referenceProfileId"
        [formGroup]="formGroup"
        [options]="profileOptions"
        [serverSideFieldValidationError]="serverSideValidationErrors"
        [placeHolder]="
          'sqtm-core.administration-workspace.profiles.dialog.message.new-profile.select-profile'
            | translate
        "
      >
      </sqtm-core-select-field>

      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.description.label' | translate
      }}</label>
      <sqtm-core-rich-text-field
        [formGroup]="formGroup"
        [fieldName]="Controls.description"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-rich-text-field>
    </div>
  </div>
</sqtm-core-creation-dialog>
